POST api/v1/auth/info
Request Information
URI Parameters
None.
Body Parameters
InfoRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| load_children | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"load_children": true
}
application/xml, text/xml
Sample:
<InfoRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models"> <load_children>true</load_children> </InfoRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
UserInfo| Name | Description | Type | Additional information |
|---|---|---|---|
| full_name | string |
None. |
|
| id | globally unique identifier |
Required |
|
| is_delegated | boolean |
None. |
|
| agreement | boolean |
None. |
|
| view_info | ViewInfo |
None. |
|
| id_role | globally unique identifier |
None. |
|
| is_editor | boolean |
None. |
|
| first_name | string |
None. |
|
| last_name | string |
None. |
|
| is_manager | boolean |
None. |
|
| is_hr | boolean |
None. |
|
| is_admin | boolean |
None. |
|
| image_id | globally unique identifier |
None. |
|
| string |
None. |
||
| phone | string |
None. |
|
| web_popup_ids | string |
None. |
|
| birthdate | date |
None. |
|
| deleted | boolean |
Required |
|
| state_id | integer |
Required |
Response Formats
application/json, text/json
Sample:
{
"full_name": "sample string 6 sample string 7",
"id": "b2d3eca9-722f-4547-be81-baf9f034d0c8",
"is_delegated": true,
"agreement": true,
"view_info": {
"id": "0e013f04-57ed-4aac-bf33-22fa541f51a7",
"show_date_of_in_request": true
},
"id_role": "1ed836e5-58a5-4321-ad17-821f745266c2",
"is_editor": true,
"first_name": "sample string 6",
"last_name": "sample string 7",
"is_manager": true,
"is_hr": true,
"is_admin": true,
"image_id": "9a9cb9cc-9b5b-4b82-be7d-c8851d532c6e",
"email": "sample string 11",
"phone": "sample string 12",
"web_popup_ids": "sample string 13",
"birthdate": "2026-05-06T11:28:26Z",
"deleted": true,
"state_id": 1
}
application/xml, text/xml
Sample:
<UserInfo xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<agreement>true</agreement>
<birthdate>2026-05-06T13:28:26.3948978+02:00</birthdate>
<deleted>true</deleted>
<email>sample string 11</email>
<first_name>sample string 6</first_name>
<full_name>sample string 6 sample string 7</full_name>
<id>b2d3eca9-722f-4547-be81-baf9f034d0c8</id>
<id_role>1ed836e5-58a5-4321-ad17-821f745266c2</id_role>
<image_id>9a9cb9cc-9b5b-4b82-be7d-c8851d532c6e</image_id>
<is_admin>true</is_admin>
<is_delegated>true</is_delegated>
<is_editor>true</is_editor>
<is_hr>true</is_hr>
<is_manager>true</is_manager>
<last_name>sample string 7</last_name>
<phone>sample string 12</phone>
<state_id>1</state_id>
<view_info>
<id>0e013f04-57ed-4aac-bf33-22fa541f51a7</id>
<show_date_of_in_request>true</show_date_of_in_request>
</view_info>
<web_popup_ids>sample string 13</web_popup_ids>
</UserInfo>